<?php
/**
 * Class Expedipro_Synchro_Model_Adminhtml_Source_Carrier
 *
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 *
 * @category       Shipping
 * @package        Expedipro_Synchro
 * @author         Hilly
 * @copyright      Copyright (c) 2016
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
class Expedipro_Synchro_Model_Adminhtml_Source_Carrier
{
    /**
     * Get available options for carriers
     * Note : not used, we prefer shipping method level from  Mage_Adminhtml_Model_System_Config_Source_Shipping_Allmethods
     *
     * @return array
     */
    public function toOptionArray( $isMultiSelect = false )
    {
        $carriers = Mage::getSingleton('shipping/config')->getActiveCarriers();
        $options = array();

        foreach ($carriers as $code => $oneCarrier)
        {
            if (! $title = Mage::getStoreConfig("carriers/$code/title"))
                $title = $code;

            $options[ $code ] = array('value' => $code, 'label' => $title . " ($code)");
        }

        if( $isMultiSelect )
        {
            array_unshift($options, array('value'=>'', 'label'=> Mage::helper('adminhtml')->__('--Please Select--')));
        }

//        print_r($options);
        return $options;
    }
}
