<?php

/**
 * Class Expedipro_Synchro_Model_Adminhtml_Source_Status
 *
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 *
 * @category       Shipping
 * @package        Expedipro_Synchro
 * @author         Hilly
 * @copyright      Copyright (c) 2016
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
class Expedipro_Synchro_Model_Adminhtml_Source_Status
{
    /**
     * Get available options for order status
     *
     * Note : this method provide the FULL list of statuses (included cancelled, reversed, etc)
     *          while Mage_Adminhtml_Model_System_Config_Source_Order_Status focus only on the main ones
     *
     * @return array
     */
    public function toOptionArray( $isMultiSelect = false )
    {
        /*
         * State is used by magento to tell if the order is new, processing, complete, holded, closed, canceled, etc.;
         * Statuses are the one that YOU would be defining at the backend in System -> Order Statuses.
         * Magento displays order STATUSES and not STATES in the backend order detail page to let you know which status is assigned as per your mapping.
         * Remember, multiple statuses can be mapped with one state, while vice versa is not possible.
         */
        $status = Mage::getModel('sales/order_status')->getResourceCollection()->getData();
        $options = array();

        foreach($status as $orderStatus) {
            // should options be an assoc ?
            $options[ ] = array('value' => $orderStatus['status'], 'label' => $orderStatus['label'] );
        }

        if( $isMultiSelect )
        {
            array_unshift($options, array('value'=>'', 'label'=> Mage::helper('adminhtml')->__('--Please Select--')));
        }
//print_r($options);
        return $options;
    }
}